httpd-packagers mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Felt <mamf...@gmail.com>
Subject Re: Issues encountered http 2.2.22 and separate apr/apu -- cannot configure!
Date Thu, 09 Feb 2012 15:33:16 GMT
rebuilt apr and apu (apr-util) and finally, getting some progress. Will
post updates when available.

On Thu, Feb 9, 2012 at 1:59 PM, Michael Felt <mamfelt@gmail.com> wrote:

> Well, took a while to find where everything was coming from. AIX does have
> a 'default' zlib.a (fyi - coming from rpm.rte update, so standard now)
>
> For building I "installed" zlib.1.2.5 and executed
> ln -s /opt/include/zlib.h /usr/include
> ln -s /opt/include/zconf.h /usr/include
>
> -- comment -- might be 'useful' to add /opt as a directory base to search
> for zlib -- currently only /usr and /usr/local.
>
> Anyway, with 'zlib' things all in place, now make fails - back to the
> /build-1/libtool message
>
> root@x105:[/data/prj/httpd-2.2.22]make
> Making all in srclib
> Making all in pcre
>         /build-1/libtool --silent --mode=compile cc -qlanglvl=extc89
> -qHALT=E  -O2  -U__STR__ -D_THREAD_SAFE -D_USE_IRS -D_LARGEFILE64_SOURCE
> -I/data/prj/httpd-2.2.22/srclib/pcre -I. -I/data/prj/httpd-2.2.22/os/unix
> -I/data/prj/httpd-2.2.22/server/mpm/worker
> -I/data/prj/httpd-2.2.22/modules/http
> -I/data/prj/httpd-2.2.22/modules/filters
> -I/data/prj/httpd-2.2.22/modules/proxy -I/data/prj/httpd-2.2.22/include
> -I/data/prj/httpd-2.2.22/modules/generators
> -I/data/prj/httpd-2.2.22/modules/mappers
> -I/data/prj/httpd-2.2.22/modules/database -I/opt/include
> -I/data/prj/httpd-2.2.22/server
> -I/data/prj/httpd-2.2.22/modules/proxy/../generators
> -I/data/prj/httpd-2.2.22/modules/ssl
> -I/data/prj/httpd-2.2.22/modules/dav/main   -c maketables.c && touch
> maketables.lo
> /bin/sh: /build-1/libtool:  not found.
> make: 1254-004 The error code from the last command is 127.
>
>
> Stop.
> make: 1254-004 The error code from the last command is 1.
>
>
> Stop.
> make: 1254-004 The error code from the last command is 1.
>
>
> Stop.
> make: 1254-004 The error code from the last command is 1.
>
>
> Stop.
> root@x105:[/data/prj/httpd-2.2.22]
>
>
>
> On Thu, Feb 9, 2012 at 12:06 PM, Michael Felt <mamfelt@gmail.com> wrote:
>
>> I guess that is the include/zlib.h -- thanks. Fresh installs are great
>> for finding the missing documentation of what needed!
>>
>>
>> On Thu, Feb 9, 2012 at 12:00 PM, Graham Leggett <minfrin@sharp.fm> wrote:
>>
>>> On 09 Feb 2012, at 12:38 PM, Michael Felt wrote:
>>>
>>> > Bit confused.
>>> > 1) reinstalled by build system from scratch
>>> > 2) installed apr/apu in /opt/bin
>>> > 3) build/aix/buildaix.ksh
>>> > -- configure fails with following messages:
>>> > root@x105:[/data/prj/httpd-2.2.22]build/aix/buildaix.ksh
>>> > + ./configure
>>> >        --enable-layout=AIX
>>> >        --with-apr=/opt/bin/apr-1-config
>>> >        --with-apr-util=/opt/bin/apu-1-config
>>> >        --with-mpm=worker
>>> >        --enable-ssl
>>> >        --enable-mods-shared=all > build/aix/configure.out
>>> > ./configure[5740]: /build-1/libtool:  not found
>>> > configure: error: mod_deflate has been requested but can not be built
>>> due
>>> > to prerequisite failures
>>> > ./configure returned an error
>>>
>>> This isn't an apr related error, but rather a zlib related one - most
>>> specifically, zlib is missing, so mod_deflate can't be built.
>>>
>>> Regards,
>>> Graham
>>> --
>>>
>>>
>>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message